API ReferencePapersPaperid
Update a paper entry by ID
Updates the content or settings of an existing paper (screen).
Middlewares: authMiddleware, validateDeviceIsInOrganization, validatePaper
x-api-key<token>
API key for authentication
In: header
Path Parameters
paperIdstring
A valid MongoDB ObjectId
deviceIdstring
A valid MongoDB ObjectId
devicePaperId?string
A valid MongoDB ObjectId
kindstring
meta?unknown
organizationstring
A valid MongoDB ObjectId
Response Body
application/json
curl -X POST "https://api.paperlesspaper.de/v1/papers/682fd0d7d4a6325d9d45b870" \ -H "Content-Type: application/json" \ -d '{ "deviceId": "682fd0d7d4a6325d9d45b86f", "kind": "string", "organization": "682fd0d7d4a6325d9d45b86e" }'{
"id": "string",
"title": "string",
"content": "string",
"author": "string",
"createdAt": "string",
"updatedAt": "string",
"imageUpdatedAt": "string"
}Get a paper entry by ID GET
Fetches the details of a single paper (screen) by its ID. Middlewares: `authMiddleware`, `validatePaper`
Preview Google Calendar data POST
Fetches the latest Google Calendar events for the specified paper without persisting any other paper changes. Middlewares: `authMiddleware`, `validatePaper`